你好,游客 登录 注册 搜索
背景:
阅读新闻

PHP 'xsltprocessor.c'空指针间接引用拒绝服务漏洞

[日期:2015-09-30] 来源:Linux社区  作者:Linux [字体: ]
PHP 'xsltprocessor.c'空指针间接引用拒绝服务漏洞


发布日期:2015-09-06
更新日期:2015-09-30

受影响系统:

PHP PHP 5.x

描述:


BUGTRAQ  ID: 76733
CVE(CAN) ID: CVE-2015-6838

PHP是广泛使用的通用目的脚本语言,特别适合于Web开发,可嵌入到HTML中。

PHP的XSLTProcessor类未有效检查libxslt库内的输入,valuePop()函数调用会返回空指针,但PHP并未进行检查。攻击者利用此漏洞可造成拒绝服务。

<*来源:moltesalt
  *>

建议:


厂商补丁:

PHP
---
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.php.net/downloads.php
http://git.php.net/?p=php-src.git;a=commit;h=1744be2d17befc69bf00033993f4081852a747d6

PHP 7革新与性能优化 http://www.linuxidc.com/Linux/2015-09/123136.htm

PHP 7 ,你值得拥有  http://www.linuxidc.com/Linux/2015-06/118847.htm 

CentOS 7.x / Fedora 21 上面体验 PHP 7.0  http://www.linuxidc.com/Linux/2015-05/117960.htm 

CentOS 6.3 安装LNMP (PHP 5.4,MyySQL5.6) http://www.linuxidc.com/Linux/2013-04/82069.htm 

在部署LNMP的时候遇到Nginx启动失败的2个问题 http://www.linuxidc.com/Linux/2013-03/81120.htm 

Ubuntu安装Nginx php5-fpm MySQL(LNMP环境搭建) http://www.linuxidc.com/Linux/2012-10/72458.htm 

《细说PHP》高清扫描PDF+光盘源码+全套教学视频 http://www.linuxidc.com/Linux/2014-03/97536.htm 

CentOS 6中配置PHP的LNMP的开发环境  http://www.linuxidc.com/Linux/2013-12/93869.htm 

PHP 的详细介绍请点这里
PHP 的下载地址请点这里

本文永久更新链接地址http://www.linuxidc.com/Linux/2015-09/123677.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款